# Waifu Gallery
Uses [Fooocus API running on Runpod serverless](https://github.com/davefojtik/RunPod-Fooocus-API/tree/Standalone) to generate '''Beautiful''' artwork with the base constraints of your choosing and display it in a virtual gallery in an ironic twist.

In practice, going to `painting_a_futurist_atwork.yourdomain.com` will generate an image with `{{ random Prompt }},{{  base Prompt }}, (painting a futurist artwork:UserBias)` if it hasn't already been created and save it to s3 to speed up further viewings.

## Installation
```shell
$ go get
$ go build
```

## Usage
Add a `config.json` configuration file in the your current directory and then execute the program.

Example:
```json
{
}
```

## TODO
- [x] make imggen api request
- [x] upload result to S3
- [x] Poll request
- [x] Guard from redundant API calls
- [x] Guard from excessive number of img generation jobs
- [x] Separate img generation endpoint and call it from HTML
- [x] Make user wait for result interactively and reload
- [ ] Convert results to WebP
- [ ] Better querying via LLMs
- [ ] Better front-end